Subject: bug#44266: Transient input methods

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 01 Nov 2020 15:37:00 +0100

Juri Linkov <[email-masked]> writes:

> The following patch addresses such issues of the current input method
> implementation by providing a new feature of transient input methods.

> A transient input method is enabled temporarily for entering a key sequence,
> and is disabled automatically afterwards.

I like the idea, I think.  But just thinking out loud without having
read the code closely -- would it perhaps be even more useful to have
the transient method in place until you `C-x \' again?

Then you could

`C-x \ ...  type a couple of words in that method C-x \'

I'm not at all sure, but I think that perhaps people would more often
type in a couple of words than just a single key sequence?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no